# Object Index

The following lists the most commonly used functions and objects in
`frplib` and gives the module from which they can be imported. See
also `info("modules")`.

| Object                | Module                |
|-----------------------|-----------------------|
| `ACos`                | `frplib.statistics`   |
| `ASin`                | `frplib.statistics`   |
| `ATan2`               | `frplib.statistics`   |
| `Abs`                 | `frplib.statistics`   |
| `All`                 | `frplib.statistics`   |
| `And`                 | `frplib.statistics`   |
| `Any`                 | `frplib.statistics`   |
| `ArgMax`              | `frplib.statistics`   |
| `ArgMin`              | `frplib.statistics`   |
| `Ascending`           | `frplib.statistics`   |
| `Cases`               | `frplib.statistics`   |
| `Ceil`                | `frplib.statistics`   |
| `Condition`           | `frplib.statistics`   |
| `ConditionalKind`     | `frplib.kinds`        |
| `Constantly`          | `frplib.statistics`   |
| `Cos`                 | `frplib.statistics`   |
| `Cosh`                | `frplib.statistics`   |
| `Count`               | `frplib.statistics`   |
| `D_`                  | `frplib.expectations` |
| `Descending`          | `frplib.statistics`   |
| `Diff`                | `frplib.statistics`   |
| `Diffs`               | `frplib.statistics`   |
| `Dot`                 | `frplib.statistics`   |
| `E`                   | `frplib.expectations` |
| `Exp`                 | `frplib.statistics`   |
| `FRP.sample`          | `frplib.frps`         |
| `Floor`               | `frplib.statistics`   |
| `ForEach`             | `frplib.statistics`   |
| `Fork`                | `frplib.statistics`   |
| `FromDegrees`         | `frplib.statistics`   |
| `FromRadians`         | `frplib.statistics`   |
| `Id`                  | `frplib.statistics`   |
| `IfThenElse`          | `frplib.statistics`   |
| `Kind`                | `frplib.kinds`        |
| `Log10`               | `frplib.statistics`   |
| `Log2`                | `frplib.statistics`   |
| `Log`                 | `frplib.statistics`   |
| `MFork`               | `frplib.statistics`   |
| `Max`                 | `frplib.statistics`   |
| `Mean`                | `frplib.statistics`   |
| `Min`                 | `frplib.statistics`   |
| `MonoidalStatistic`   | `frplib.statistics`   |
| `Norm`                | `frplib.statistics`   |
| `NormalCDF`           | `frplib.statistics`   |
| `Not`                 | `frplib.statistics`   |
| `Or`                  | `frplib.statistics`   |
| `Permute`             | `frplib.statistics`   |
| `Pi`                  | `frplib.statistics`   |
| `Product`             | `frplib.statistics`   |
| `Proj`                | `frplib.statistics`   |
| `Scalar`              | `frplib.statistics`   |
| `Sin`                 | `frplib.statistics`   |
| `Sinh`                | `frplib.statistics`   |
| `Sqrt`                | `frplib.statistics`   |
| `Statistic`           | `frplib.statistics`   |
| `StdDev`              | `frplib.statistics`   |
| `SumSq`               | `frplib.statistics`   |
| `SumSq`               | `frplib.statistics`   |
| `Sum`                 | `frplib.statistics`   |
| `Tan`                 | `frplib.statistics`   |
| `Tanh`                | `frplib.statistics`   |
| `Var`                 | `frplib.expectations` |
| `Variance`            | `frplib.statistics`   |
| `VecTuple`            | `frplib.vec_tuples`   |
| `Xor`                 | `frplib.statistics`   |
| `__`                  | `frplib.statistics`   |
| `_x_`                 | `frplib.statistics`   |
| `arbitrary`           | `frplib.kinds`        |
| `as_float`            | `frplib.vec_tuples`   |
| `as_numeric_vec`      | `frplib.vec_tuples`   |
| `as_quantity`         | `frplib.quantity`     |
| `as_scalar`           | `frplib.vec_tuples`   |
| `as_vec_tuple`        | `frplib.vec_tuples`   |
| `bayes`               | `frplib.kinds`        |
| `bin`                 | `frplib.kinds`        |
| `bottom`              | `frplib.statistics`   |
| `chain`               | `frplib.statistics`   |
| `clean`               | `frplib.kinds`        |
| `clone`               | `frplib.utils`        |
| `codim`               | `frplib.utils`        |
| `components`          | `frplib.extras`       |
| `compose`             | `frplib.statistics`   |
| `compose`             | `frplib.utils`        |
| `condition`           | `frplib.statistics`   |
| `conditional_frp`     | `frplib.frps`         |
| `conditional_kind`    | `frplib.kinds`        |
| `const`               | `frplib.utils`        |
| `constant`            | `frplib.kinds`        |
| `dim`                 | `frplib.utils`        |
| `either`              | `frplib.kinds`        |
| `evenly_spaced`       | `frplib.kinds`        |
| `every`               | `frplib.utils`        |
| `evolve`              | `frplib.frps`         |
| `fast_mixture_pow`    | `frplib.kinds`        |
| `fork`                | `frplib.statistics`   |
| `frequencies`         | `frplib.utils`        |
| `frp`                 | `frplib.frps`         |
| `geometric`           | `frplib.kinds`        |
| `identity`            | `frplib.utils`        |
| `index_of`            | `frplib.utils`        |
| `index_where`         | `frplib.utils`        |
| `infinity`            | `frplib.statistics`   |
| `integers`            | `frplib.kinds`        |
| `irange`              | `frplib.utils`        |
| `is_false`            | `frplib.statistics`   |
| `is_frp`              | `frplib.frps`         |
| `is_kind`             | `frplib.kinds`        |
| `is_statistic`        | `frplib.statistics`   |
| `is_true`             | `frplib.statistics`   |
| `is_vec_tuple`        | `frplib.vec_tuples`   |
| `iterate`             | `frplib.utils`        |
| `kind`                | `frplib.kinds`        |
| `linear`              | `frplib.kinds`        |
| `lmap`                | `frplib.utils`        |
| `numeric_abs`         | `frplib.numeric`      |
| `numeric_ceil`        | `frplib.numeric`      |
| `numeric_exp`         | `frplib.numeric`      |
| `numeric_floor`       | `frplib.numeric`      |
| `numeric_ln`          | `frplib.numeric`      |
| `numeric_log10`       | `frplib.numeric`      |
| `numeric_log2`        | `frplib.numeric`      |
| `numeric_sqrt`        | `frplib.numeric`      |
| `permutations_of`     | `frplib.kinds`        |
| `qvec`                | `frplib.quantity`     |
| `scalar_fn`           | `frplib.statistics`   |
| `scalar_statistic`    | `frplib.statistics`   |
| `show`                | `frplib.utils`        |
| `shuffle`             | `frplib.frps`         |
| `size`                | `frplib.utils`        |
| `some`                | `frplib.utils`        |
| `statistic`           | `frplib.statistics`   |
| `subsets`             | `frplib.kinds`        |
| `substitute_with`     | `frplib.calculate`    |
| `substitute`          | `frplib.calculate`    |
| `substitution`        | `frplib.calculate`    |
| `symmetric`           | `frplib.kinds`        |
| `top`                 | `frplib.statistics`   |
| `tuple_safe`          | `frplib.statistics`   |
| `typeof`              | `frplib.utils`        |
| `unfold`              | `frplib.kinds`        |
| `uniform`             | `frplib.kinds`        |
| `values`              | `frplib.utils`        |
| `vec_tuple`           | `frplib.vec_tuples`   |
| `weighted_as`         | `frplib.kinds`        |
| `weighted_by`         | `frplib.kinds`        |
| `weighted_pairs`      | `frplib.kinds`        |
| `without_replacement` | `frplib.kinds`        |
